# Uses of Enum Class
org.apache.sysds.hops.codegen.opt.InterestingPoint.DecisionType

Packages that use InterestingPoint.DecisionType
Package
Description
org.apache.sysds.hops.codegen.opt

## Uses of InterestingPoint.DecisionType in org.apache.sysds.hops.codegen.opt

Methods in org.apache.sysds.hops.codegen.opt that return InterestingPoint.DecisionType
Modifier and Type
Method
Description
`InterestingPoint.DecisionType`
InterestingPoint.`getType()`
`static InterestingPoint.DecisionType`
InterestingPoint.DecisionType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static InterestingPoint.DecisionType[]`
InterestingPoint.DecisionType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.apache.sysds.hops.codegen.opt with parameters of type InterestingPoint.DecisionType
Modifier
Constructor
Description
``
`InterestingPoint(InterestingPoint.DecisionType type, long fromHopID, long toHopID)`